//
// Created by koerberm on 08.06.18.
//

#ifndef EPHSA_CL_UTIL_H
#define EPHSA_CL_UTIL_H

#define __CL_ENABLE_EXCEPTIONS
#include <CL/cl.hpp>

namespace cl_util {
    void get_gpu_devices(std::vector<cl::Device> &devices);

    void print_timestamps();

    cl::Program program_from_file( const std::string &file, cl::Context ctx );

    void build_program(cl::Program &prog, const cl::Device &device);
}


#endif //EPHSA_CL_UTIL_H
