#!/bin/bash

AGENTS=`/opt/rocm/bin/rocm_agent_enumerator 2> /dev/null | grep gfx | grep -v gfx000`

for AGENT in $AGENTS; do
        XNACK=-mno-xnack

        echo "Compiling for agent $AGENT"
        if [ $AGENT = "gfx902" ]; then
                XNACK=-mxnack
        fi


        for i in `ls normal`; do
                ./compile -mcpu=$AGENT $XNACK normal/$i -o "out/${i%.cl}.co.$AGENT"
        done
        for i in `ls latency`; do
                ./compile -mcpu=$AGENT $XNACK latency/$i -o "out/${i%.cl}.co.$AGENT"
        done
        for i in `ls testing`; do
                ./compile -mcpu=$AGENT $XNACK testing/$i -o "out/${i%.cl}.co.$AGENT"
        done

done
