#include "../../../ep/latency/event_latency.h"
#include "../../hsa_helper.h"

typedef event_latency T1;
typedef event_latency T2;
typedef joined_event_latency TOUT;

void do_write( TOUT *dest, const T1 *left, const T1 *right ) {
    *dest = compose(left,right);
    dest->out_time = timestamp();
}

#include "../base/hsa_join.cl"