#include "../../hsa_helper.h"

__kernel void lane_kernel(__global uint *out1, __global uint* out2 ) {
    uint id = lane_id();

    out1[lane_id()] = id;

    uint addr  = lane_id();
    uint value = -1;
    if ( lane_id() %2 == 0 ) {
        addr = active_lane_id();
        value = lane_id();
    }

    value = __builtin_amdgcn_ds_permute(addr<<2,value);

    out2[lane_id()] = value;
}