#include "../../hsa_helper.h"

__kernel void signal_loop_test_kernel( hsa_signal_t sync1, hsa_signal_t sync2, ulong num_loops ) {

    __local hsa_signal_value_t bcast[1];

    for ( ulong i = 0; i < num_loops; i++ ) {
        bool fst = (i % 2 == 0);

        hsa_group_wait(fst, sync1, sync2, bcast);

        // Work here;

        hsa_group_complete(fst, sync1, sync2);
    }

}