//
// Created by koerberm on 26.04.18.
//

#ifndef EPHSA_SHARED_H
#define EPHSA_SHARED_H

#define QUEUE_TERM_IDX 9223372036854775807L
#define WAVE_SIZE 64

#define HELLS_FILTER_BITFIELD_TYPE unsigned char
#define HELLS_JOIN_BITFIELD_TYPE unsigned int
//typedef unsigned long long ulong;

#define DEVICE_TIMER_FACTOR 40

#ifdef CPU_COMPILE
    #include <hsa/hsa.h>
#else
    #include "/opt/rocm/include/ockl_hsa.h"
#endif

typedef struct {
    void *base;
    uint mask;
    uint capacity;
    hsa_signal_t r_signal;
    hsa_signal_t w_signal;
} queue_def;

typedef struct {
    void *base;
    ulong num_inserts;
    ulong size;
} window_def;

#endif //EPHSA_SHARED_H
